# $Revision: 1.7 $, $Date: 2011/08/31 09:17:30 $
%define		qtver	4.4.0
Summary:	Estonian digital signature application
Name:		qdigidoc
Version:	0.4.0
Release:	6
License:	LGPL v2+
Group:		X11/Applications
URL:		http://code.google.com/p/esteid/
Source0:	http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2
# Source0-md5:	bf6fc905f5c806c1309d5e2861fe840e
Patch0:		desktop.patch
Patch1:		%{name}-nautilus-extensions-dir.patch
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	libdigidoc-devel
BuildRequires:	libdigidocpp-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.596
Requires(post,postun):	gtk-update-icon-cache
Requires:	desktop-file-utils
Requires:	hicolor-icon-theme
Requires:	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QDigiDoc is an application for digitally signing and encrypting
documents in BDoc, DDoc, and CDoc container formats. These file
formats are widespread in Estonia where they are used for storing
legally binding digital signatures.

%package -n nautilus-%{name}
Summary:	Nautilus extension for %{name}
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-python >= 1.0
Requires:	python-pygobject

%description -n nautilus-%{name}
This package contains the qdigidoc extension for the nautilus file
manager.

%package -n kde4-konqueror-plugin-%{name}
Summary:	Konqueror extension for %{name}
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description -n kde4-konqueror-plugin-%{name}
This package contains the qdigidoc extension for Konqueror.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
%cmake ..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang nautilus-qdigidoc

desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/qdigidoc-client.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_desktopdir}/qdigidoc-crypto.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%postun
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*.desktop
%{_datadir}/mime/packages/*.xml
%{_iconsdir}/hicolor/*/*/*.png

%files -n nautilus-%{name} -f nautilus-qdigidoc.lang
%defattr(644,root,root,755)
%{_datadir}/nautilus-python/extensions/*.py

%files -n kde4-konqueror-plugin-%{name}
%defattr(644,root,root,755)
%{_datadir}/kde4/services/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qdigidoc.spec,v $
Revision 1.7  2011/08/31 09:17:30  arekm
- release 6

Revision 1.6  2011/05/20 19:03:44  megabajt
- fixed destination directory of nautilus extension
- release 5

Revision 1.5  2011/02/04 18:24:00  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.4  2011/01/05 22:10:24  glen
- include add Security and Utility to Categories in .desktop, not sure about the existing Office

Revision 1.3  2011/01/05 21:25:10  glen
- min qt ver

Revision 1.2  2011/01/05 21:22:46  glen
- needs qt lrelease

Revision 1.1  2011/01/05 21:10:04  glen
- new, based on fc spec
